| Home | Libraries | People | FAQ | More

## Function parse_environment

boost::program_options::parse_environment —

## Synopsis

    BOOST_PROGRAM_OPTIONS_DECL parsed_options
    parse_environment(const options_description &,
                      const function1< std::string, std::string > & name_mapper);

## Description

Parse environment.

For each environment variable, the 'name_mapper' function is called to obtain the option name. If it returns empty string, the variable is ignored.

This is done since naming of environment variables is typically different from the naming of command line options.

| Copyright © 2002-2004 Vladimir Prus